# Contributing

We love pull requests from everyone. By participating in this project, you agree
to abide by the [code of conduct](CODE_OF_CONDUCT.md).

Fork, then clone the repo:

    git clone git@github.com:your-username/doorkeeper.git

### Docker Setup

Build the container image with: `docker build --pull -t doorkeeper:test .`
Run the tests with: `docker run -it --rm doorkeeper:test`

### Local Setup

Set up Ruby dependencies via Bundler

    bundle install

Make sure the tests pass:

    rake

Make your change.
Write tests.
Follow our [style guide](.rubocop.yml).
Make the tests pass:

    rake

Add notes on your change to the `CHANGELOG.md` file.

Write a [good commit message][commit].
Push to your fork.
[Submit a pull request][pr].

[commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[pr]: https://github.com/doorkeeper-gem/doorkeeper/compare/

If [Hound] catches style violations, fix them.

[hound]: https://houndci.com

Wait for us.
We try to at least comment on pull requests within one business day.
We may suggest changes.

Thank you for your contribution!
